Docs
Create Resource Attribute
POST /resource-attributes
POST
/resource-attributesAdds an attribute to the event's library and returns its id. responseType cannot be changed later, and options are required for Select and MultiSelect and refused otherwise. Place the attribute on a type with Resources_PlaceResourceTypeAttribute. Needs the event settings permission.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| responseType | string | Optional | |
| options | CreateResourceAttributeRequestOption[] | Optional |
CreateResourceAttributeRequestOption
| Field | Type | Description |
|---|---|---|
| label | string| null | |
| type | string| null | |
| value | string| null |